<?php

use WpBookingEvent\Factory;
use WpBookingEvent\Utilities\Utility;
use WpBookingEvent\Html\WpBookingEventHtmlFrontend as WpBookingEventHtmlFrontendAlias;
use WpBookingEvent\Language\Text;
defined('_WPBOOKINGEVENT_EXEC') or die;
extract($displayData);
WpBookingEventHtmlFrontendAlias::load_jquery_library('moment');
WpBookingEventHtmlFrontendAlias::load_jquery_library('daterangepicker');


$doc = Factory::getDocument();
$doc->addLessStyleSheet('frontend/app/layouts/WooBooking/form/field/rates/rates.less');
$id_by_name = "element_field_". $name;
$calendar_element_field_id="calendar_$id_by_name";
?>
    <div id="<?php esc_attr_e($id_by_name) ?>" class="field-rates">
        <div class="wrapper-rates">
            <input type="text" class="calendar_rates" placeholder="<?php esc_attr_e('Calendar', 'wpbookingevent')?>" />
            <i class="icon-nb-calendar"></i>
        </div>
        <input type="hidden" name="<?php esc_attr_e($name); ?>" value="<?php esc_attr_e($value) ?>">
    </div>
<?php
$doc->addScriptApplySelector("#$id_by_name",'field_rates',array(
    "input_name"=>  $name,
),'frontend/app/layouts/WooBooking/form/field/rates/jquery.rates.js');
